Bug Hunting Session
Bug 93517 - Error message if a macro library is missing appears twice
Summary: Error message if a macro library is missing appears twice
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Error-Messages
  Show dependency treegraph
 
Reported: 2015-08-18 19:19 UTC by sworddragon2
Modified: 2018-12-18 08:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Testcase macro library (283 bytes, application/vnd.ms-excel)
2015-08-18 19:19 UTC, sworddragon2
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2015-08-18 19:19:51 UTC
Created attachment 118000 [details]
Testcase macro library

If a referenced macro library doesn't exist anymore and Writer gets started it shows the error message that the macro library is missing 2 times. Steps to reproduce:

1. Open Writer.
2. Go to the menu bar -> Tools -> Macros -> "Organize Macros" -> "LibreOffice Basic..." -> Organizer... -> Libraries and click in "Import...".
3. Import the attached macro library.
4. Select "Insert as reference (read-only)" and click on "OK".
5. Close all subwindows and Writer.
6. Delete the imported macro library.
7. Start Writer again.
Comment 1 Cor Nouws 2015-08-18 20:11:15 UTC
Hi sworddragon,

Thanks for filing the problem.

As far as I can remember, this issue exists for a long time.
The cause maybe is that the library is not found in the users location that it is searched in the programs location too? Anyway: odd.

Cheers - Cor
Comment 2 QA Administrators 2016-09-20 10:26:14 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920